MacDraft5ParserInternal::Shape Struct Reference

generic class used to store shape in MWAWDraftParser More...

## Public Types

enum | Type { Basic , Bitmap , Group , Text , QuotationSurface , Unknown }
| the different shape More...

## Public Member Functions

| Shape ()
| constructor
MWAWBox2f | getBdBox () const
| return the shape bdbox
void | translate (MWAWVec2f const &dir)
| translate a shape
void | transform (float rotate, bool flipX, MWAWVec2f const &center)
| transform a shape

## Static Public Member Functions

static MWAWBox2f | rotateBox (MWAWBox2f const &box, float angle, MWAWVec2f const &center)
| returns the rotation of a box

## Public Attributes

Type | m_type
| the graphic type
int | m_fileType
| the file type
MWAWBox2f | m_box
| the shape bdbox
MWAWVec2f | m_origin
| the shape origin
MWAWGraphicStyle | m_style
| the graphic style
MWAWGraphicShape | m_shape
| the graphic shape ( for basic geometric form )
std::vector< MWAWGraphicStyle > | m_otherStyleList
| the other graphic style ( for complex basic geometric form )
std::vector< MWAWGraphicShape > | m_otherShapeList
| other graphic shapes ( for complex basic geometric form )
bool | m_isLine
| flag to know if the shape is a line
long | m_id
| the shape id
long | m_parentId
| the parent id
long | m_modifierId
| the modifier id
long | m_nameId
| the name id
std::map< long, MWAWFont > | m_posToFontMap
| the font ( for a text box)
MWAWParagraph | m_paragraph
| the paragraph ( for a text box)
MWAWEntry | m_textEntry
| the textbox entry (main text)
std::vector< int > | m_childList
| the child list id ( for a group )
std::vector< int > | m_bitmapIdList
| the list of bitmap id ( for a bitmap)
std::vector< MWAWBox2i > | m_bitmapDimensionList
| the list of bitmap dimension ( for a bitmap)
bool | m_isSent
| a flag used to know if the object is sent to the listener or not

## Detailed Description

generic class used to store shape in MWAWDraftParser

## Member Enumeration Documentation

## Type

enum MacDraft5ParserInternal::Shape::Type

the different shape

Enumerator
Basic |
Bitmap |
Group |
Text |
QuotationSurface |
Unknown |

## Constructor & Destructor Documentation

## Shape()

MacDraft5ParserInternal::Shape::Shape | ( |  | ) |

inline

constructor

## Member Function Documentation

## getBdBox()

MWAWBox2f MacDraft5ParserInternal::Shape::getBdBox | ( |  | ) | const

inline

return the shape bdbox

Referenced by MacDraft5Parser::send().

## rotateBox()

MWAWBox2f MacDraft5ParserInternal::Shape::rotateBox | ( | MWAWBox2f const & | box,
|  | float | angle,
|  | MWAWVec2f const & | center )

inline static

returns the rotation of a box

Referenced by transform().

## transform()

void MacDraft5ParserInternal::Shape::transform | ( | float | rotate,
|  | bool | flipX,
|  | MWAWVec2f const & | center )

inline

transform a shape

## translate()

void MacDraft5ParserInternal::Shape::translate | ( | MWAWVec2f const & | dir | ) |

inline

translate a shape

## Member Data Documentation

## m_bitmapDimensionList

std::vector<MWAWBox2i> MacDraft5ParserInternal::Shape::m_bitmapDimensionList

the list of bitmap dimension ( for a bitmap)

Referenced by Shape().

## m_bitmapIdList

std::vector<int> MacDraft5ParserInternal::Shape::m_bitmapIdList

the list of bitmap id ( for a bitmap)

Referenced by MacDraft5Parser::sendBitmap(), and Shape().

## m_box

MWAWBox2f MacDraft5ParserInternal::Shape::m_box

the shape bdbox

Referenced by getBdBox(), Shape(), transform(), and translate().

## m_childList

std::vector<int> MacDraft5ParserInternal::Shape::m_childList

the child list id ( for a group )

Referenced by MacDraft5Parser::readModifier(), MacDraft5Parser::send(), Shape(), and MacDraft5ParserInternal::Layout::updateRelations().

## m_fileType

int MacDraft5ParserInternal::Shape::m_fileType

the file type

Referenced by Shape().

## m_id

long MacDraft5ParserInternal::Shape::m_id

the shape id

Referenced by MacDraft5Parser::send(), and Shape().

## m_isLine

bool MacDraft5ParserInternal::Shape::m_isLine

flag to know if the shape is a line

Referenced by Shape().

## m_isSent

bool MacDraft5ParserInternal::Shape::m_isSent

mutable

a flag used to know if the object is sent to the listener or not

Referenced by MacDraft5Parser::send(), MacDraft5Parser::sendBitmap(), and Shape().

## m_modifierId

long MacDraft5ParserInternal::Shape::m_modifierId

the modifier id

Referenced by Shape().

## m_nameId

long MacDraft5ParserInternal::Shape::m_nameId

the name id

Referenced by Shape().

## m_origin

MWAWVec2f MacDraft5ParserInternal::Shape::m_origin

the shape origin

Referenced by MacDraft5Parser::send(), Shape(), transform(), and translate().

## m_otherShapeList

std::vector<MWAWGraphicShape> MacDraft5ParserInternal::Shape::m_otherShapeList

other graphic shapes ( for complex basic geometric form )

Referenced by MacDraft5Parser::send(), and Shape().

## m_otherStyleList

std::vector<MWAWGraphicStyle> MacDraft5ParserInternal::Shape::m_otherStyleList

the other graphic style ( for complex basic geometric form )

Referenced by MacDraft5Parser::send(), and Shape().

## m_paragraph

MWAWParagraph MacDraft5ParserInternal::Shape::m_paragraph

the paragraph ( for a text box)

Referenced by Shape().

## m_parentId

long MacDraft5ParserInternal::Shape::m_parentId

the parent id

Referenced by Shape().

## m_posToFontMap

std::map<long, MWAWFont> MacDraft5ParserInternal::Shape::m_posToFontMap

the font ( for a text box)

Referenced by MacDraft5Parser::readText(), and Shape().

## m_shape

MWAWGraphicShape MacDraft5ParserInternal::Shape::m_shape

the graphic shape ( for basic geometric form )

Referenced by getBdBox(), MacDraft5Parser::send(), Shape(), transform(), and translate().

## m_style

MWAWGraphicStyle MacDraft5ParserInternal::Shape::m_style

the graphic style

Referenced by MacDraft5Parser::readModifier(), MacDraft5Parser::send(), MacDraft5Parser::sendBitmap(), Shape(), and transform().

## m_textEntry

MWAWEntry MacDraft5ParserInternal::Shape::m_textEntry

the textbox entry (main text)

Referenced by MacDraft5Parser::readText(), and Shape().

## m_type

Type MacDraft5ParserInternal::Shape::m_type

the graphic type

Referenced by getBdBox(), MacDraft5Parser::send(), Shape(), transform(), and translate().

The documentation for this struct was generated from the following file:

- MacDraft5Parser.cxx